import math, random
from django.http import HttpResponse
from django.conf import settings
from jinja2 import FileSystemLoader, Environment

template_dirs = getattr(settings,'TEMPLATE_DIRS')
default_mimetype = getattr(settings, 'DEFAULT_CONTENT_TYPE')
env = Environment(loader=FileSystemLoader(template_dirs))

def render_to_response(filename, context={},mimetype=default_mimetype):
    template = env.get_template(filename)
    rendered = template.render(**context)
    return HttpResponse(rendered,mimetype=mimetype)


def greater_than_fifty(x):
    return x > 50
env.tests['gtf'] = greater_than_fifty


def index(request):
    n = int(math.floor(100 * random.random()))
    return render_to_response('with_jinja/index.html',{'n':n})
